| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
KaiserWindow Class Reference
Algo

Kaiser Window Function. More...

`#include <windowfunction.h>`

Inheritance diagram for KaiserWindow:
[legend]

## Public Member Functions
| KaiserWindow ()
| KaiserWindow (double twidth, int nrsamples)
double | getError () const
double | getError (int nrsamples) const
int | getLength () const
float | getValue (const float *x) const
float | getValue (float) const override
float | getVariable () const override
double | getWidth () const
double | getWidth (int nrsamples) const
bool | hasVariable () const override
bool | isAcceptableVariable (float) const override
const char * | name () const override
bool | set (double width, int nrsamples)
bool | setVariable (float) override
const char * | variableName () const override
Public Member Functions inherited from WindowFunction
void | fillPar (IOPar &) const
bool | usePar (const IOPar &)
Public Member Functions inherited from MathFunction< float, float >
float | getNDValue (const float *pos) const override
int | getNrDim () const override
Public Member Functions inherited from MathFunctionND< RT, PT >
virtual | ~MathFunctionND ()
virtual RT | getNDValue (const PT *) const =0

## Static Public Member Functions
static WindowFunction * | create ()
static void | initClass ()
static const char * | sName ()
Static Public Member Functions inherited from WindowFunction
static void | addAllStdClasses ()
static bool | hasVariable (const BufferString &wintyp)
static const char * | sKeyTaperVal ()
static const char * | sKeyVariable ()

## Protected Attributes
double | alpha_
double | denom_
int | ns_
double | width_

## Detailed Description

Kaiser Window Function.

<>

## Constructor & Destructor Documentation

## ◆ KaiserWindow() [1/2]

KaiserWindow::KaiserWindow | ( |  | ) |

## ◆ KaiserWindow() [2/2]

KaiserWindow::KaiserWindow | ( | double | twidth,
|  | int | nrsamples )

## Member Function Documentation

## ◆ create()

static WindowFunction * KaiserWindow::create | ( |  | ) |
| inline static

## ◆ getError() [1/2]

double KaiserWindow::getError | ( |  | ) | const

## ◆ getError() [2/2]

double KaiserWindow::getError | ( | int | nrsamples | ) | const

## ◆ getLength()

int KaiserWindow::getLength | ( |  | ) | const
| inline

## ◆ getValue() [1/2]

float KaiserWindow::getValue | ( | const float * | x | ) | const
| inline

## ◆ getValue() [2/2]

float KaiserWindow::getValue | ( | float |  | ) | const
| override virtual

Implements MathFunction< float, float >.

## ◆ getVariable()

float KaiserWindow::getVariable | ( |  | ) | const
| inline override virtual

Reimplemented from WindowFunction.

## ◆ getWidth() [1/2]

double KaiserWindow::getWidth | ( |  | ) | const
| inline

## ◆ getWidth() [2/2]

double KaiserWindow::getWidth | ( | int | nrsamples | ) | const

## ◆ hasVariable()

bool KaiserWindow::hasVariable | ( |  | ) | const
| inline override virtual

Reimplemented from WindowFunction.

## ◆ initClass()

static void KaiserWindow::initClass | ( |  | ) |
| static

## ◆ isAcceptableVariable()

bool KaiserWindow::isAcceptableVariable | ( | float |  | ) | const
| override virtual

Reimplemented from WindowFunction.

## ◆ name()

const char * KaiserWindow::name | ( |  | ) | const
| inline override virtual

Implements WindowFunction.

## ◆ set()

bool KaiserWindow::set | ( | double | width,
|  | int | nrsamples )

## ◆ setVariable()

bool KaiserWindow::setVariable | ( | float |  | ) |
| override virtual

Reimplemented from WindowFunction.

## ◆ sName()

static const char * KaiserWindow::sName | ( |  | ) |
| inline static

## ◆ variableName()

const char * KaiserWindow::variableName | ( |  | ) | const
| inline override virtual

Reimplemented from WindowFunction.

## Member Data Documentation

## ◆ alpha_

double KaiserWindow::alpha_
| protected

## ◆ denom_

double KaiserWindow::denom_
| protected

## ◆ ns_

int KaiserWindow::ns_
| protected

## ◆ width_

double KaiserWindow::width_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025